Qt 5.6 | Qt 3D | C++ Classes | QStencilTestSeparate

Qt 5.6.3 Reference Documentation

# QStencilTestSeparate Class

(Qt3DRender::QStencilTestSeparate)

- List of all members, including inherited members

## Public Types

enum | StencilFaceMode { Front, Back, FrontAndBack }
enum | StencilFunc { Never, Always, Less, LessOrEqual, ..., NotEqual }

## Properties

- faceMode : const StencilFaceMode
- func : StencilFunc
- mask : uint
- ref : int

## Public Functions

| ~QStencilTestSeparate()
StencilFaceMode | faceMode() const
StencilFunc | func() const
uint | mask() const
int | ref() const

## Public Slots

void | setFunc(StencilFunc func)
void | setMask(uint mask)
void | setRef(int ref)

## Signals

void | faceModeChanged(StencilFaceMode faceMode)
void | funcChanged(StencilFunc func)
void | maskChanged(uint mask)
void | refChanged(int ref)

## Member Type Documentation

### enum QStencilTestSeparate::StencilFaceMode

### enum QStencilTestSeparate::StencilFunc

## Property Documentation

### faceMode : const StencilFaceMode

Access functions:

StencilFaceMode | faceMode() const

Notifier signal:

void | faceModeChanged(StencilFaceMode faceMode)

### func : StencilFunc

Access functions:

StencilFunc | func() const
void | setFunc(StencilFunc func)

Notifier signal:

void | funcChanged(StencilFunc func)

### mask : uint

Access functions:

uint | mask() const
void | setMask(uint mask)

Notifier signal:

void | maskChanged(uint mask)

### ref : int

Access functions:

int | ref() const
void | setRef(int ref)

Notifier signal:

void | refChanged(int ref)

## Member Function Documentation

### QStencilTestSeparate::~QStencilTestSeparate()

Destroys the instance of QStencilTestSeparate.